Wt examples: GitModel::Tree Class Reference

Wt examples 3.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
GitModel::Tree Class Reference

Used to uniquely locate a folder within the folder hierarchy. More...

List of all members.

## Public Member Functions
| Tree (int parentId, int index, const Git::ObjectId &object, int rowCount)
| Constructor.
int | parentId () const
| Returns the parent id.
int | index () const
| Returns the child index within the parent folder.
const Git::ObjectId & | treeObject () const
| Returns the SHA1 id for the git tree object.
int | rowCount () const
| Returns the (cached) row count.
## Private Attributes
ChildIndex | index_
Git::ObjectId | treeObject_
int | rowCount_

## Detailed Description

Used to uniquely locate a folder within the folder hierarchy.

Definition at line 131 of file GitModel.h.

## Constructor & Destructor Documentation

GitModel::Tree::Tree | ( | int | parentId,
|  | int | index,
|  | const Git::ObjectId & | object,
|  | int | rowCount
| ) |  | `[inline]`

Constructor.

Definition at line 135 of file GitModel.h.

          : index_(parentId, index),
            treeObject_(object),
            rowCount_(rowCount)
        { }

## Member Function Documentation

int GitModel::Tree::index | ( |  | ) | const`[inline]`

Returns the child index within the parent folder.

Index of this folder within the file list of the parent folder.

Definition at line 152 of file GitModel.h.

    { return index_.index; }

int GitModel::Tree::parentId | ( |  | ) | const`[inline]`

Returns the parent id.

Index of the parent folder within the treeData_ vector.

Definition at line 146 of file GitModel.h.

    { return index_.parentId; }

int GitModel::Tree::rowCount | ( |  | ) | const`[inline]`

Returns the (cached) row count.

Definition at line 160 of file GitModel.h.

    { return rowCount_; }

const Git::ObjectId& GitModel::Tree::treeObject | ( |  | ) | const`[inline]`

Returns the SHA1 id for the git tree object.

Definition at line 156 of file GitModel.h.

    { return treeObject_; }

## Member Data Documentation

ChildIndex GitModel::Tree::index_`[private]`

Definition at line 163 of file GitModel.h.

int GitModel::Tree::rowCount_`[private]`

Definition at line 165 of file GitModel.h.

Git::ObjectId GitModel::Tree::treeObject_`[private]`

Definition at line 164 of file GitModel.h.

The documentation for this class was generated from the following file:

- /home/koen/project/wt/public-git/wt/examples/gitmodel/GitModel.h